<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SrvLettersDiscountLinesV0.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.impl</a> &gt; <span class="el_source">SrvLettersDiscountLinesV0.java</span></div><h1>SrvLettersDiscountLinesV0.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.impl;

import com.bbva.jee.arq.spring.core.catalog.gabi.ServiceResponse;
import com.bbva.jee.arq.spring.core.servicing.annotations.SMC;
import com.bbva.jee.arq.spring.core.servicing.annotations.SN;
import com.bbva.jee.arq.spring.core.servicing.annotations.VN;
import com.bbva.pzic.listHistoricalLettersSummaries.business.ISrvIntLettersDiscountLines;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.ISrvLettersDiscountLinesV0;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.mapper.IListHistoricalLettersSummariesMapper;
import com.bbva.pzic.routine.processing.data.DataProcessingExecutor;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.RegistryIds.SMC_REGISTRY_ID_OF_LIST_HISTORICAL_LETTERS_SUMMARIES;

@Path(&quot;/v0&quot;)
@Produces(MediaType.APPLICATION_JSON)
@SN(registryID = &quot;SNGG20200037&quot;, logicalID = &quot;letters-discount-lines&quot;)
@VN(vnn = &quot;v0&quot;)
@Service
<span class="nc" id="L33">public class SrvLettersDiscountLinesV0 implements ISrvLettersDiscountLinesV0 {</span>
<span class="nc" id="L34">    private static final Log LOG = LogFactory.getLog(SrvLettersDiscountLinesV0.class);</span>

    @Autowired
    private DataProcessingExecutor inputDataProcessingExecutor;
    @Autowired
    private DataProcessingExecutor outputDataProcessingExecutor;

    @Autowired
    private IListHistoricalLettersSummariesMapper listHistoricalLettersSummariesMapper;

    @Autowired
    private ISrvIntLettersDiscountLines srvIntLettersDiscountLines;

    @Override
    @GET
    @Path(&quot;/historical-letters-summaries&quot;)
    @SMC(registryID = SMC_REGISTRY_ID_OF_LIST_HISTORICAL_LETTERS_SUMMARIES, logicalID = &quot;listHistoricalLettersSummaries&quot;)
    public ServiceResponse&lt;List&lt;HistoricalLettersSummaries&gt;&gt; listHistoricalLettersSummaries(@QueryParam(&quot;businessId&quot;) final String businessId) {
<span class="nc" id="L52">        LOG.info(&quot;----- Invoking service listHistoricalLettersSummaries -----&quot;);</span>

<span class="nc" id="L54">        Map&lt;String, Object&gt; queryParams = new HashMap&lt;&gt;();</span>
<span class="nc" id="L55">        queryParams.put(&quot;businessId&quot;, businessId);</span>

<span class="nc" id="L57">        inputDataProcessingExecutor.perform(SMC_REGISTRY_ID_OF_LIST_HISTORICAL_LETTERS_SUMMARIES, null, null, queryParams);</span>
<span class="nc" id="L58">        ServiceResponse&lt;List&lt;HistoricalLettersSummaries&gt;&gt; serviceResponse = listHistoricalLettersSummariesMapper.mapOut(</span>
<span class="nc" id="L59">                srvIntLettersDiscountLines.listHistoricalLettersSummaries(</span>
<span class="nc" id="L60">                        listHistoricalLettersSummariesMapper.mapIn((String) queryParams.get(&quot;businessId&quot;))</span>
                )
        );
<span class="nc" id="L63">        outputDataProcessingExecutor.perform(SMC_REGISTRY_ID_OF_LIST_HISTORICAL_LETTERS_SUMMARIES, serviceResponse, null, null);</span>
<span class="nc" id="L64">        return serviceResponse;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>